Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.spi
Interface Resource

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  SelfDescribingResource, SelfDescribingResourceV2

All Known Implementing Classes:
  AdminResource, ApplicationResource, COMResource, ControlResource, EISResource, EJBResource, JDBCResource, JMSResource, JMXResource, JNDIResource, RemoteResource, ResourceBase, ServerResource, URLResource, WebServiceResource, WorkContextResource

    public interface Resource

extends Serializable

The `Resource` interface provides the definition for an object that represents a resource that may be protected from unauthorized access.

Method Summary
`boolean` | `equals(Object another)` Compares this resource to the resource in the specified object.
`long` | `getID()` Gets a 64-bit hashcode for a resource.
`String[]` | `getKeys()` Gets keys for the resource.
`Resource` | `getParentResource()` Gets a `Resource` object that represents the parent of the current resource.
`String` | `getType()` Gets the type of this resource.
`String[]` | `getValues()` Gets the values corresponding to the keys of this resource's type.
`int` | `hashCode()` Returns an identifier for the resource as a hash code.
`String` | `toString()` Returns a string representation of this resource.

Method Detail

### equals

    boolean equals(Object another)

  Compares this resource to the resource in the specified object.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `another` - another resource with which to compare this resource.

  Returns:
    a boolean value indicating whether the resource passed in is the same as that encapsulated by this resource. A value of `TRUE` indicates that the resource passed in is the same as that encapsulated by this resource; a value of `FALSE` indicates that it is not the same.

### toString

    String toString()

  Returns a string representation of this resource.

  Overrides:
    `toString` in class `Object`
  Returns:
    the resource, represented as a String.

### hashCode

    int hashCode()

  Returns an identifier for the resource as a hash code.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    the hashcode value for the resource.

### getType

    String getType()

  Gets the type of this resource.

  Returns:
    the type of this resource, represented as a String.

### getParentResource

    Resource getParentResource()

  Gets a `Resource` object that represents the parent of the current resource. If the resource does not have a parent, the value of `null` must be returned.

  Returns:
    the `Resource` object of the parent resource.

### getID

    long getID()

  Gets a 64-bit hashcode for a resource.

  Returns:
    the ID value for the resource, represented as a long.

### getKeys

    String[] getKeys()

  Gets keys for the resource.

  Returns:
    an array of Strings containing the resource's keys.

### getValues

    String[] getValues()

  Gets the values corresponding to the keys of this resource's type. This array may be shorter than the array returned by `getKeys` because the latter depends only on the type of the resource.

  Returns:
    an array of Strings representing the keys' values for this resource type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD